Qt 5.8 | Qt 3D | C++ Classes | QGeometry

Qt 5.8.0 Reference Documentation

# QGeometry Class

(Qt3DRender::QGeometry)

Header: | #include <QGeometry>
qmake: | QT += 3drender
Instantiated By: | Geometry
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DExtras::QConeGeometry, Qt3DExtras::QCuboidGeometry, Qt3DExtras::QCylinderGeometry, Qt3DExtras::QPlaneGeometry, Qt3DExtras::QSphereGeometry, and Qt3DExtras::QTorusGeometry

- List of all members, including inherited members

## Properties

- boundingVolumePositionAttribute : Qt3DRender::QAttribute *

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QGeometry(Qt3DCore::QNode *parent = nullptr)
void | addAttribute(Qt3DRender::QAttribute *attribute)
QVector<QAttribute *> | attributes() const
QAttribute * | boundingVolumePositionAttribute() const
void | removeAttribute(Qt3DRender::QAttribute *attribute)

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBoundingVolumePositionAttribute(QAttribute *boundingVolumePositionAttribute)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | boundingVolumePositionAttributeChanged(QAttribute *boundingVolumePositionAttribute)

- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QGeometry(QGeometryPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### boundingVolumePositionAttribute : Qt3DRender::QAttribute *

Holds atribute used to compute the bounding volume .

Access functions:

QAttribute * | boundingVolumePositionAttribute() const
void | setBoundingVolumePositionAttribute(QAttribute *boundingVolumePositionAttribute)

Notifier signal:

void | boundingVolumePositionAttributeChanged(QAttribute *boundingVolumePositionAttribute)

## Member Function Documentation

### QGeometry::QGeometry(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QGeometry.

### `[protected]` QGeometry::QGeometry(QGeometryPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### void QGeometry::addAttribute(Qt3DRender::QAttribute *attribute)

### QVector<QAttribute *> QGeometry::attributes() const

Returns the list of attributes in this geometry.

### void QGeometry::removeAttribute(Qt3DRender::QAttribute *attribute)